package com.adaptrex.core.view.jsf;

import java.io.IOException;

import javax.faces.component.FacesComponent;
import javax.faces.component.UIComponentBase;
import javax.faces.context.FacesContext;

import com.adaptrex.core.AdaptrexConfig;
import com.adaptrex.core.view.BootstrapComponent;

@FacesComponent("ext.data.Bootstrap") 
public class JSFBootstrapComponent extends UIComponentBase {

	@Override
	public String getFamily() {
		return "ext.data.bootstrap";
	}
	
	@Override
    public void encodeBegin(FacesContext context) throws IOException {
		String extBuild = (String) getAttributes().get(AdaptrexConfig.EXT_BUILD);
		BootstrapComponent bootstrapComponent = new BootstrapComponent(extBuild);
		context.getResponseWriter().write(bootstrapComponent.toString());
	}
}